libepubgen::EPUBParagraphStyleManager Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Private Types | Private Member Functions | List of all members
libepubgen::EPUBParagraphStyleManager Class Reference

Small class to manage the paragraph style. More...

`#include <EPUBParagraphStyleManager.h>`

Inheritance diagram for libepubgen::EPUBParagraphStyleManager:

## Public Member Functions
| EPUBParagraphStyleManager ()
| constructor
virtual | ~EPUBParagraphStyleManager ()
| destructor
void | defineParagraph (librevenge::RVNGPropertyList const &pList)
| define a paragraph style
std::string | getClass (librevenge::RVNGPropertyList const &pList)
| returns the class name corresponding to a propertylist
std::string | getStyle (librevenge::RVNGPropertyList const &pList)
| returns the style string corresponding to a propertylist
void | send (EPUBCSSContent &out)
| send the data to the sink

## Protected Member Functions
void | extractProperties (librevenge::RVNGPropertyList const &pList, bool isList, EPUBCSSProperties &cssProps) const
| convert a property list into a CSS property map
void | extractBorders (librevenge::RVNGPropertyList const &pList, EPUBCSSProperties &cssProps) const
| add data corresponding to the border

## Protected Attributes
ContentNameMap_t | m_contentNameMap
| a map content -> name
std::map< int, std::string > | m_idNameMap
| a map id -> name

## Private Types
typedef std::unordered_map< EPUBCSSProperties, std::string, boost::hash< EPUBCSSProperties > > | ContentNameMap_t

## Private Member Functions
| EPUBParagraphStyleManager (EPUBParagraphStyleManager const &orig)
EPUBParagraphStyleManager | operator= (EPUBParagraphStyleManager const &orig)

## Detailed Description

Small class to manage the paragraph style.

## Member Typedef Documentation

## ◆ ContentNameMap_t

typedef std::unordered_map<EPUBCSSProperties, std::string, boost::hash<EPUBCSSProperties> > libepubgen::EPUBParagraphStyleManager::ContentNameMap_t
| private

## Constructor & Destructor Documentation

## ◆ EPUBParagraphStyleManager() [1/2]

libepubgen::EPUBParagraphStyleManager::EPUBParagraphStyleManager | ( |  | ) |
| inline

constructor

## ◆ ~EPUBParagraphStyleManager()

virtual libepubgen::EPUBParagraphStyleManager::~EPUBParagraphStyleManager | ( |  | ) |
| inlinevirtual

destructor

## ◆ EPUBParagraphStyleManager() [2/2]

libepubgen::EPUBParagraphStyleManager::EPUBParagraphStyleManager | ( | EPUBParagraphStyleManager const & | orig | ) |
| private

## Member Function Documentation

## ◆ defineParagraph()

void libepubgen::EPUBParagraphStyleManager::defineParagraph | ( | librevenge::RVNGPropertyList const & | pList | ) |

define a paragraph style

## ◆ extractBorders()

void libepubgen::EPUBParagraphStyleManager::extractBorders | ( | librevenge::RVNGPropertyList const & | pList,
|  | EPUBCSSProperties & | cssProps ) const
| protected

add data corresponding to the border

Referenced by extractProperties().

## ◆ extractProperties()

void libepubgen::EPUBParagraphStyleManager::extractProperties | ( | librevenge::RVNGPropertyList const & | pList,
|  | bool | isList,
|  | EPUBCSSProperties & | cssProps ) const
| protected

convert a property list into a CSS property map

Referenced by libepubgen::EPUBListStyleManager::getClass(), getClass(), getStyle(), and libepubgen::EPUBListStyleManager::openLevel().

## ◆ getClass()

std::string libepubgen::EPUBParagraphStyleManager::getClass | ( | librevenge::RVNGPropertyList const & | pList | ) |

returns the class name corresponding to a propertylist

Referenced by defineParagraph().

## ◆ getStyle()

std::string libepubgen::EPUBParagraphStyleManager::getStyle | ( | librevenge::RVNGPropertyList const & | pList | ) |

returns the style string corresponding to a propertylist

## ◆ operator=()

EPUBParagraphStyleManager libepubgen::EPUBParagraphStyleManager::operator= | ( | EPUBParagraphStyleManager const & | orig | ) |
| private

## ◆ send()

void libepubgen::EPUBParagraphStyleManager::send | ( | EPUBCSSContent & | out | ) |

send the data to the sink

Referenced by libepubgen::EPUBListStyleManager::send(), and libepubgen::EPUBGenerator::writeStylesheet().

## Member Data Documentation

## ◆ m_contentNameMap

ContentNameMap_t libepubgen::EPUBParagraphStyleManager::m_contentNameMap
| protected

a map content -> name

Referenced by libepubgen::EPUBListStyleManager::getClass(), getClass(), and send().

## ◆ m_idNameMap

std::map<int, std::string> libepubgen::EPUBParagraphStyleManager::m_idNameMap
| protected

a map id -> name

Referenced by defineParagraph(), and getClass().

The documentation for this class was generated from the following files:

- EPUBParagraphStyleManager.h
- EPUBParagraphStyleManager.cpp